# sac

Plot seismograms in SAC format

## Synopsis

gmt sac [ saclist|SACfiles ] -J parameters -R region [ -B[p|s]parameters ] [ -C[t0/t1] ] [ -D dx[/dy] ] [ -E a|b|k|d|n[n]|u[n] ] [ -F[i][q][r] ] [ -G[p|n][+g fill][+z zero][+t t0/t1] ] [ -M size[u][/alpha] ] [ -Q ] [ -S[i]scale ] [ -T[+t n][+r reduce_vel][+s shift] ] [ -U[stamp] ] [ -V[level] ] [ -W pen ] [ -X[a|c|f|r][xshift] ] [ -Y[a|c|f|r][yshift] ] [ -h headers ] [ -p flags ] [ -t transp ] [ --PAR=value ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

Reads SACfiles in SAC format or reads filenames and controlling parameters from saclist [or standard input] and will plot seismograms on a map.

## Required Arguments

SACfiles

  SAC files to plot on a map. Only evenly spaced SAC data is supported.

saclist

  One ASCII data table file holding a number of data columns. If saclist is not given then we read from standard input. Parameters are expected to be in the following columns:

  > filename [X Y [pen]]

  filename is the name of SAC file to plot. X and Y are the position of seismograms to plot on a map. On linear plots, the default X is the begin time of SAC file, which will be adjusted if -T option is used, the default Y is determined by -E option. On geographic plots, the default X and Y are station longitude and latitude specified in SAC header. The X and Y given here will override the position determined by command line options. pen, if given, will override the pen from -W option for current SAC file only.

-J parameters (more …)

  Select map projection.

-R west/east/south/north[/zmin/zmax][+r][+u unit]

  west, east, south, and north specify the region of interest, and you may specify them in decimal degrees or in [±]dd:mm[:ss.xxx][W|E|S|N] format Append +r if lower left and upper right map coordinates are given instead of w/e/s/n. The two shorthands -Rg and -Rd stand for global domain (0/360 and -180/+180 in longitude respectively, with -90/+90 in latitude). Set geographic regions by specifying ISO country codes from the Digital Chart of the World using -R code1,code2,…[+r|R[incs]] instead: Append one or more comma-separated countries using the 2-character ISO 3166-1 alpha-2 convention. To select a state of a country (if available), append .state, e.g, US.TX for Texas. To specify a whole continent, prepend = to any of the continent codes AF (Africa), AN (Antarctica), AS (Asia), EU (Europe), OC (Oceania), NA (North America), or SA (South America). Use +r to modify the bounding box coordinates from the polygon(s): Append inc, xinc/yinc, or winc/einc/sinc/ninc to adjust the region to be a multiple of these steps [no adjustment]. Alternatively, use +R to extend the region outward by adding these increments instead, or +e which is like +r but it ensures that the bounding box extends by at least 0.25 times the increment [no extension]. Alternatively for grid creation, give R code lon/lat/nx/ny, where code is a 2-character combination of L, C, R (for left, center, or right) and T, M, B for top, middle, or bottom. e.g., BL for lower left. This indicates which point on a rectangular region the lon/lat coordinate refers to, and the grid dimensions nx and ny with grid spacings via -I is used to create the corresponding region. Alternatively, specify the name of an existing grid file and the -R settings (and grid spacing and registration, if applicable) are copied from the grid. Appending +u unit expects projected (Cartesian) coordinates compatible with chosen -J and we inversely project to determine actual rectangular geographic region. For perspective view (-p), optionally append /zmin/zmax. In case of perspective view (-p), a z-range (zmin, zmax) can be appended to indicate the third dimension. This needs to be done only when using the -Jz option, not when using only the -p option. In the latter case a perspective view of the plane is plotted, with no third dimension.

## Optional Arguments

-B[p|s]parameters (more …)

  Set map boundary frame and axes attributes.

-C[t0/t1]

  Read and plot seismograms in timewindow between t0 and t1 only. t0 and t1 are relative to a reference time specified by -T. If -T option is not specified, use the reference time (kzdate and kztime) defined in SAC header instead. If only -C is used, t0/t1 is determined as xmin/xmax from -R option.

-D dx[/dy]

  Offset seismogram positions by the given mount dx/dy [Default is no offset]. If dy is not given it is set equal to dx.

-Ea|b|k|d|n[n]|u[n]

  Choose profile type (the type of Y axis).

  > a: azimuth profile.

  > b: back-azimuth profile.

  > k: epicentral distance (in km) profile.

  > d: epicentral distance (in degree) profile.

  > n: trace number profile. The Y position of first trace is numbered as n [Default n is 0].

  > u: user defined profile. The Y positions are determined by SAC header variable usern, default using user0.

-F[i][q][r]

  Data preprocess before plotting.

  > i: integral

  > q: square

  > r: remove mean value

  i|q|r can repeat multiple times. For example, -Frii will convert acceleration to displacement. The order of i|q|r controls the order of the data processing.

-G[p|n][+g fill][+z zero][+t t0/t1]

  Paint positive or negative portion of traces. If only -G is used, default to fill the positive portion black.

  > p|n controls the painting of positive portion or negative portion. Repeat -G option to specify fills for positive and negative portions, respectively.

  > +g fill: color to fill

  > +t t0/t1: paint traces between t0 and t1 only. The reference time of t0 and t1 is determined by -T option.

  > +z zero: define zero line. From zero to top is positive portion, from zero to bottom is negative portion.

-M size[u][/alpha]

  Vertical scaling.

  > size[u]: scale all traces size[u] on a map. The default unit is PROJ_LENGTH_UNIT. The scaling factor is defined as `yscale = size*(north-south)/(depmax-depmin)/map_height`.

  > size/alpha:

  > > alpha < 0, use the same scaling factor for all traces. The scaling factor will scale the first trace to size[u].

  > > alpha = 0, multiply all traces by size. No unit is allowed.

  > > alpha > 0, multiply all traces by `size*r^alpha`, r is the distance range in km.

-Q

  Plot traces vertically.

-S[i]scale

  Sets time scale in seconds per unit while plotting on geographic plots. Append c, i, or p to indicate cm, inch or points as the unit. Use PROJ_LENGTH_UNIT if unit is omitted. Use -Si scale to give the reciprocal scale, i.e. cm per second or inch per second.

-T[+t n][+r reduce_vel][+s shift]

  Time alignment and shift.

  > +t tmark: align all trace along time mark. tmark are -5(b), -4(e), -3(o), -2(a), 0-9(t0-t9).

  > +r reduce_vel: reduce velocity in km/s.

  > +s shift: shift all traces by shift seconds.

-U[label][+c][+j just][+o dx/dy] (more …)

  Draw GMT time stamp logo on plot.

-V[level] (more …)

  Select verbosity level [w].

-W pen

  Set pen attributes for all traces unless overruled by pen specified in saclist. [Defaults: width = default, color = black, style = solid].

-X[a|c|f|r][xshift]

-Y[a|c|f|r][yshift] (more …)

  Shift plot origin.

-h[i|o][n][+c][+d][+m segheader][+r remark][+t title] (more …)

  Skip or produce header record(s).

-p[x|y|z]azim[/elev[/zlevel]][+w lon0/lat0[/z0]][+v x0/y0] (more …)

  Select perspective view.

-t[transp] (more …)

  Set transparency level in percent.

-^ or just -

  Print a short message about the syntax of the command, then exit (NOTE: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

## Examples

Note: Since many GMT plot examples are very short (i.e., one module call between the gmt begin and gmt end commands), we will often present them using the quick modern mode GMT Modern Mode One-line Commands syntax, which simplifies such short scripts.

To plot a single seismogram seis.SAC (generated by SAC command `funcgen seismogram`) and paint positive portion black and negative portion red:

    gmt sac seis.SAC -JX10c/5c -R9/20/-2/2 -Baf -Fr -Gp+gblack -Gn+gred -pdf single

To plot several seismograms (generated by SAC command `datagen sub tele *.z`) on a distance profile:

    gmt sac *.z -R200/1600/12/45 -JX15c/5c -Bx200+l'T(s)' -By5+lDegree -BWSen \
        -Ed -M1.5c -W0.5p,red -pdf distance_profile

To plot seismograms (generated by SAC command `datagen sub tele *.z`) on a geographic map:

    gmt begin map pdf
    gmt sac *.z -JM15c -R-120/-40/35/65 -Baf -M1i -S300c
    saclst stlo stla f *.z | gmt plot -St0.4c -Gblack -i1,2
    gmt end show

## References

Refer to SAC User Manual for more details on SAC format and SAC header variables.

## Authors

Dongdong Tian, School of Earth and Space Sciences, University of Science and Technology of China, Hefei, Anhui, China

## See Also

meca, polar, coupe, gmt, basemap, plot